Bug 169105 - lpadmin complains about -p option
lpadmin complains about -p option
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-09-22 22:04 EDT by Fredrick Meunier
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-23 04:50:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fredrick Meunier 2005-09-22 22:04:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
lpadmin seemed to work OK when I first installed RHEL3, but these days I get the following on all sorts of commands (but not a simple /usr/sbin/lpadmin –p level5printer):

# /usr/sbin/lpadmin –p level5printer -E
lpadmin: Unknown argument '–p'!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install CUPS printer
2. Run /usr/sbin/lpadmin -P <my printer> -E

Actual Results:  See error message about unknown argument

Expected Results:  Print queue should be enabled, no error about unknown argument '-p'

Additional info:
Comment 1 Tim Waugh 2005-09-23 04:39:47 EDT
It sounds like it isn't actually a dash (-) before the 'p' -- perhaps your
keyboard mapping doesn't match your keyboard layout?

If you paste this in to a terminal, does it give the results you expect?:

/usr/sbin/lpadmin -p level5printer -E
Comment 2 Fredrick Meunier 2005-09-23 04:50:40 EDT
Having quit my gnome-term and restarted my problems have now gone. I note that
my copy and paste above no longer looks like a dash either now I have restarted

Thanks for your help (and I can't believe that was the problem!).

Note You need to log in before you can comment on or make changes to this bug.